commit:     bb50fbe9bd2c32c8105fa98cab0f32fe62ce3c33
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 26 01:36:38 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Apr 26 01:53:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb50fbe9

app-admin/abrt: Version bump to 2.14.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-admin/abrt/Manifest           |   1 +
 app-admin/abrt/abrt-2.14.1.ebuild | 129 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 130 insertions(+)

diff --git a/app-admin/abrt/Manifest b/app-admin/abrt/Manifest
index 921dcefe515..d062daa4363 100644
--- a/app-admin/abrt/Manifest
+++ b/app-admin/abrt/Manifest
@@ -1,2 +1,3 @@
 DIST abrt-2.12.0.tar.gz 6799338 BLAKE2B 
57a9b3fac4a4a5f55630be0573b26d4ae2d921d4f09d6566339a77f314c413c1a9e242f882fe20befabf30a58e7df21395edcf1b0d560bfeadf8e854bff6a705
 SHA512 
3567332399cd9708505a6d05c9388c7da5c14c7432e6fd40e5e76b6bcea8859c17b3b6c52a96ce54740e3682d75d8bf77dbc5fede80bd4fc6f72c60014f9cded
 DIST abrt-2.14.0.tar.gz 6102393 BLAKE2B 
6bba45604406c1f2f84d778475acc6b5db3747f292fcb74a881703491b2d92adda3cc88d6ed741087c1ed2f88a68cdc4858f3640b506a6be650ea4d1d1f2bfd3
 SHA512 
26cf04ef6f52da445e825d5f1074186c4c77d1b093174bb6f7b0a8fa6175e265fcaf56fa4a977851a2352f9fd004425bc397e35a91f6f8e78f37564cd492c571
+DIST abrt-2.14.1.tar.gz 6113024 BLAKE2B 
ddceda689fa51b04a0c201fe560c31ba5c8233c1f75c878b391b0b61cff241e6c2ce5b1829faa6e5f286c3c5efe96941c823234affe94b59fdd2aa3d7cd33cc3
 SHA512 
24126a54778b7e612c8b950321686bdee7ce15a16e79c8d967f8126c89f7da7060270fc0929cfabfc35100d069b0a626c3380833a3f62614cea6b00a44238ec3

diff --git a/app-admin/abrt/abrt-2.14.1.ebuild 
b/app-admin/abrt/abrt-2.14.1.ebuild
new file mode 100644
index 00000000000..0c87155270c
--- /dev/null
+++ b/app-admin/abrt/abrt-2.14.1.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit autotools python-single-r1 systemd xdg-utils
+
+DESCRIPTION="Automatic bug detection and reporting tool"
+HOMEPAGE="https://github.com/abrt/abrt/wiki/ABRT-Project";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="selinux test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+       >=dev-libs/glib-2.56:2
+       >=dev-libs/libreport-2.10.0[gtk,python]
+       dev-libs/libxml2:2
+       >=gnome-base/gsettings-desktop-schemas-3.15.1
+       net-libs/libsoup:2.4
+       sys-apps/dbus
+       sys-apps/systemd:0=
+       sys-auth/polkit
+       sys-libs/libcap
+       sys-fs/inotify-tools
+       x11-libs/gtk+:3
+"
+RDEPEND="${DEPEND}
+       acct-user/abrt
+       acct-group/abrt
+       app-arch/cpio
+       app-arch/rpm[python,${PYTHON_SINGLE_USEDEP}]
+       dev-libs/elfutils
+       dev-libs/json-c:0=
+       sys-apps/util-linux
+       >=sys-devel/gdb-7
+       $(python_gen_cond_dep '
+                       dev-libs/satyr[${PYTHON_MULTI_USEDEP}]
+                       dev-python/argcomplete[${PYTHON_MULTI_USEDEP}]
+                       dev-python/argh[${PYTHON_MULTI_USEDEP}]
+                       dev-python/humanize[${PYTHON_MULTI_USEDEP}]
+       ')
+"
+BDEPEND="
+       test? (
+               $(python_gen_cond_dep 
'dev-python/pytest[${PYTHON_MULTI_USEDEP}]')
+       )
+       app-text/asciidoc
+       app-text/xmlto
+       >=dev-util/intltool-0.35.0
+       virtual/pkgconfig
+       >=sys-devel/gettext-0.17
+"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       python_fix_shebang .
+       default
+
+       # Install under proper directory
+       sed -i -e 's:dbusabrtdocdir = 
${datadir}/doc/abrt-dbus-${VERSION}/html:dbusabrtdocdir = 
${datadir}/doc/${PF}/html:' doc/problems-service/Makefile.am || die
+
+       # Ensure this works for systems with and without /usr merge
+       sed -i -e "s:/usr/bin/bash:$(which bash):" init-scripts/abrtd.service 
|| die
+
+       # Fix hardcoded "pytest-3"
+       sed -i -e "s:pytest-3:pytest:" \
+               configure.ac src/python-problem/tests/Makefile.am src/cli/test 
|| die
+
+       # pyhook test is sensitive to the format of python's error messages, and
+       # fails with certain python versions
+       sed -e '/pyhook.at/ d' \
+               -i tests/Makefile.* tests/testsuite.at || die "sed remove 
pyhook tests failed"
+       ./gen-version || die # Needed to be run before autoreconf
+       eautoreconf
+}
+
+src_configure() {
+       myeconfargs=(
+               --libdir="${EPREFIX}/usr/$(get_libdir)"
+               --localstatedir="${EPREFIX}/var"
+               --without-bodhi
+               # package breaks due to not finding libreport-web with bodhi 
plugin enabled
+               --without-rpm
+               $(usex selinux "" "--without-selinux")
+               --with-python3
+               --without-pythondoc
+               # package breaks due to no sphinx-build-3
+               $(use_with test pythontests)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       python_optimize
+
+       keepdir /var/run/abrt
+       # /var/spool/abrt is created by dev-libs/libreport
+
+       diropts -m 700 -o abrt -g abrt
+       keepdir /var/spool/abrt-upload
+
+       diropts -m 775 -o abrt -g abrt
+       keepdir /var/cache/abrt-di
+
+       find "${D}" -name '*.la' -delete || die
+
+       newinitd "${FILESDIR}/${PN}-2.0.12-r1-init" abrt
+       newconfd "${FILESDIR}/${PN}-2.0.12-r1-conf" abrt
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to